Bug 68174 - Use large icons by default on OS X
Summary: Use large icons by default on OS X
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other Mac OS X (All)
: low enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:4.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-16 07:31 UTC by Emir Sarı (away)
Modified: 2013-11-13 09:08 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Sifr small icons (91.35 KB, image/png)
2013-08-16 07:32 UTC, Emir Sarı (away)
Details
Sifr large icons (94.88 KB, image/png)
2013-08-16 07:32 UTC, Emir Sarı (away)
Details
Tango small icons (99.57 KB, image/png)
2013-08-16 07:33 UTC, Emir Sarı (away)
Details
Tango large icons (111.33 KB, image/png)
2013-08-16 07:35 UTC, Emir Sarı (away)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Emir Sarı (away) 2013-08-16 07:31:10 UTC
On OS X, LibreOffice uses small icons by default. However, this does not provide a pleasant look on OS X, where application icons are generally bigger, and concentrated on details. 

Comparison screenshots attached.
Comment 1 Emir Sarı (away) 2013-08-16 07:32:17 UTC
Created attachment 84124 [details]
Sifr small icons
Comment 2 Emir Sarı (away) 2013-08-16 07:32:52 UTC
Created attachment 84125 [details]
Sifr large icons
Comment 3 Emir Sarı (away) 2013-08-16 07:33:24 UTC
Created attachment 84126 [details]
Tango small icons
Comment 4 Emir Sarı (away) 2013-08-16 07:35:34 UTC
Created attachment 84127 [details]
Tango large icons
Comment 5 tommy27 2013-08-30 12:08:03 UTC
I have no Mac to test but I assume that "small size" has ever been default in any LibO release. can you confirm this?
Comment 6 Alex Thurgood 2013-08-30 12:21:38 UTC
Both Sifr and Tango large icon sets appear to work fine in master build :

Version: 4.2.0.0.alpha0+
Build ID: d9b62a48d75e596888fcf10f5f73fed93e7b88a3



Alex
Comment 7 tommy27 2013-08-30 12:25:47 UTC
@Alex
do you mean that "large" is default on that master build?

what I understood from the initial report is that he prefers "large" over "small" and ask that "large" should be default instead of "small"
Comment 8 Alex Thurgood 2013-08-30 12:48:23 UTC
@Tommy : small icon size was always the default in LO, and even in OOo before that.

The user can set the icon size to large, so where is the problem ? 

If we really want to have an OSX-like application which respects Apple's UI and HMI guidelines, then it is not just setting the default to large on icon sets which look nothing like the rest of mainstream OSX applications which is going to change that IMHO, but hey, I'm not a coder ;-)

Until such time as one or more OSX UI coder(s) step(s) forward to deal with the (very significant recoding) issue, nothing is going to change, LO will continue to look either like a GTK refugee or a Gnome 3 application ;-)

It is true though, that small icon set defaults on OSX look terrible on todays larger screens...

Alex
Comment 9 Alex Thurgood 2013-08-30 12:48:43 UTC
Confirming, for what its worth.
Comment 10 Emir Sarı (away) 2013-08-30 16:17:21 UTC
(In reply to comment #9)
> Confirming, for what its worth.

Thanks for the confirmation. 

About the looks of LO on OS X... I totally agree, being one of the constant ranters about this situation... But at least if we could attract more people to use LO, we can also attract more coders to work on it too. 

And thanks to Tor's and Khaled's nice ongoing works, for the moment there is hope I think.
Comment 11 tommy27 2013-08-30 16:51:23 UTC
(In reply to comment #8)
> @Tommy : small icon size was always the default in LO, and even in OOo
> before that.
> 
> ... snip ...

so version field must be "inherited from OOo" and not 4.2 like filed.
changing it.
Comment 12 Adolfo Jayme 2013-08-31 07:39:10 UTC
This request clashes with the ongoing (GSoC ’13) change of dinamically-sized toolbars (http://www.google-melange.com/gsoc/proposal/review/google/gsoc2013/elixir3192/1).
Comment 13 tommy27 2013-08-31 07:51:00 UTC
so, should we label this as WONTFIX?
Comment 14 Tin Man 2013-08-31 09:24:46 UTC
(In reply to comment #12)
> This request clashes with the ongoing (GSoC ’13) change of dinamically-sized
> toolbars
> (http://www.google-melange.com/gsoc/proposal/review/google/gsoc2013/
> elixir3192/1).

It looks like these dynamic toolbars won't be happening as part of this GSoC, which means that the change to large icons can go ahead.
Comment 15 tommy27 2013-08-31 12:11:52 UTC
Ok. Let's keep it as NEW.
I had lowered the priority since the requested change is already possible with simple option change.

large or small icons IMHO are just a matter of tastes.
some will prefer small, others large.
Comment 16 retired 2013-08-31 12:32:03 UTC
Absolutely agree that large icons would look much better on OS X. So +1 from me.

Also, absolutely agree with Emir that OS X needs to attract more users and successively more devs. From what I observe latest changes in the last few month totally go in a nice direction.
Comment 17 Emir Sarı (away) 2013-09-06 06:50:53 UTC
Anyone willing to take care of this issue? :))
Comment 18 Commit Notification 2013-11-13 08:53:17 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f4bda9b6ab58e9d97665ef02d5ffd896a88dca3a

fdo#68174: Default to large icons on OSX too, regardless of the DPI.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 19 Jan Holesovsky 2013-11-13 09:05:35 UTC
I believe fixed now :-)
Comment 20 Emir Sarı (away) 2013-11-13 09:08:04 UTC
Thank you Kendy! :)